#ifndef DYNAMICCONTENT_H
#define DYNAMICCONTENT_H
#include <string>
#include "../database/database.h"
#include "../template.h"
#include "../urlprovider.h"
class DynamicContent
{
  protected:
	Template *templ;
	Database *database;
	UrlProvider *urlProvider;

  public:
	DynamicContent(Template &templ, Database &database, UrlProvider &urlProvider);
	virtual std::string render() = 0;
	virtual ~DynamicContent()
	{
	}
};

#endif // DYNAMICCONTENT_H
